#version 330


in vec3 vertPosition;

uniform mat4 cameraMatrix;
uniform mat4 modelMatrix;

uniform mat4 prevCameraMatrix;
uniform mat4 prevModelMatrix;

smooth out vec4 position;
smooth out vec4 prevPosition;


void main() {

	position = cameraMatrix * modelMatrix * vec4(vertPosition, 1);
	
	prevPosition = prevCameraMatrix * prevModelMatrix * vec4(vertPosition, 1);

	gl_Position = position;
	
}